extends ../_docs-template

block vars
  - var title = 'Link | Framework7 Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu
  .docs-content
    .motion-docs-page-title
      h1 Link
      script(src="/js/motion/link.js")
      f7-motion-link(motion)

    p Link element is used to call app actions and for navigation between pages (routes)
    h2 Link Layout
    :code(lang="html")
          <a class="link" href="path/to/somewhere">Link Text</a>
    p If you use link with icon and text, then the following layout is recommended:
    :code(lang="html")
          <a class="link" href="path/to/somewhere">
            <i class="icon"></i>
            <span>Link Text</span>
          </a>
    p If you use link with icon only, then:
    :code(lang="html")
          <a class="link icon-only" href="path/to/somewhere">
            <i class="icon"></i>
          </a>
    h2 Bypass Links Handler
    p It is possible to bypass F7 link handler (if you want to add custom logic to link, or want it to direct to external website). In this case we need additional `external` class:
    :code(lang="html")
          <a class="link external" href="http://google.com">Open Google</a>

    +cssVars('link')
